Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc.dataclassification

# Class SensitivityClassification

java.lang.Object
com.microsoft.sqlserver.jdbc.dataclassification.SensitivityClassification

    public class SensitivityClassification
    extends java.lang.Object

Provides the functionality to retrieve Sensitivity Classification data as received from SQL Server for the active resultSet

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `SensitivityClassification.SensitivityRank` | Sensitivity Rank https://docs.microsoft.com/sql/relational-databases/system-catalog-views/sys-sensitivity-classifications-transact-sql

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SensitivityClassification​(java.util.List<Label> labels, java.util.List<InformationType> informationTypes, java.util.List<ColumnSensitivity> columnSensitivity)` | Constructs a `SensitivityClassification` Object
`SensitivityClassification​(java.util.List<Label> labels, java.util.List<InformationType> informationTypes, java.util.List<ColumnSensitivity> columnSensitivity, int sensitivityRank)` | Constructs a `SensitivityClassification` Object

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<ColumnSensitivity>` | `getColumnSensitivities()` | Returns the column sensitivity for this `SensitivityClassification` Object
`java.util.List<InformationType>` | `getInformationTypes()` | Returns the information types for this `SensitivityClassification` Object
`java.util.List<Label>` | `getLabels()` | Returns the labels for this `SensitivityClassification` Object
`int` | `getSensitivityRank()` | Returns the sensitivity rank

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SensitivityClassification

public SensitivityClassification​(java.util.List<Label> labels, java.util.List<InformationType> informationTypes, java.util.List<ColumnSensitivity> columnSensitivity)
Constructs a `SensitivityClassification` Object

Parameters:
  `labels` - Labels as received from SQL Server
  `informationTypes` - Information Types as received from SQL Server
  `columnSensitivity` - Column Sensitivities as received from SQL Server

### SensitivityClassification

public SensitivityClassification​(java.util.List<Label> labels, java.util.List<InformationType> informationTypes, java.util.List<ColumnSensitivity> columnSensitivity, int sensitivityRank)
Constructs a `SensitivityClassification` Object

Parameters:
  `labels` - Labels as received from SQL Server
  `informationTypes` - Information Types as received from SQL Server
  `columnSensitivity` - Column Sensitivities as received from SQL Server
  `sensitivityRank` - Sensitivity rank as received from SQL Server

## Method Details

### getLabels

public java.util.List<Label> getLabels()
Returns the labels for this `SensitivityClassification` Object

Returns:
  labels

### getInformationTypes

public java.util.List<InformationType> getInformationTypes()
Returns the information types for this `SensitivityClassification` Object

Returns:
  informationTypes

### getColumnSensitivities

public java.util.List<ColumnSensitivity> getColumnSensitivities()
Returns the column sensitivity for this `SensitivityClassification` Object

Returns:
  columnSensitivities

### getSensitivityRank

public int getSensitivityRank()
Returns the sensitivity rank

Returns:
  sensitivity rank